harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alex Blewitt" <alex.blew...@gmail.com>
Subject Re: [classlib][pack200] Move to Java 1.5?
Date Fri, 11 Jul 2008 13:38:31 GMT
On Fri, Jul 11, 2008 at 2:22 PM, Aleksey Shipilev
<aleksey.shipilev@gmail.com> wrote:
> Hi Sian, Andrew!
>
> Can we port pack200 to Java 1.5? Is there any rationale to stay with Java 1.4?
> It would improve the code readability a lot: explicit iterators would
> go away, some classes can be generalized, etc.

The reason for keeping the majority of the implementation at Java 1.4
levels is so that they could be used with 1.4 systems that don't have
pack200 installed. For example, Eclipse has considered using it to
support downloads of pack200 if running on a VM where neither the pack
classes nor the unpack executable are available.

Alex

Mime
View raw message